namespace ScadaLink.Commons.Entities.Scripts;

public class SharedScript
{
    public int Id { get; set; }
    public string Name { get; set; }
    public string Code { get; set; }
    public string? ParameterDefinitions { get; set; }
    public string? ReturnDefinition { get; set; }

    public SharedScript(string name, string code)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
        Code = code ?? throw new ArgumentNullException(nameof(code));
    }
}
